package com.ximai.mes.pro.domain.productionSolution;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ximai.common.annotation.Excel;
import com.baomidou.mybatisplus.annotation.TableId;
import com.ximai.common.core.domain.BaseEntity;

/**
 * 生产版本工序工装夹具对象 pro_production_solution_process_tool
 *
 * @author generator
 * @date 2024-01-28
 */
public class ProProductionSolutionProcessTool extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** ID */
    @TableId
    private Long prototypeSolutionProcessToolId;

    /** 打样申请单ID */
    @Excel(name = "打样申请单ID")
    private Long prototypeSolutionId;

    /** 打样申请工序ID */
    @Excel(name = "打样申请工序ID")
    private Long prototypeSolutionProcessId;

    /** 检验项ID */
    @Excel(name = "检验项ID")
    private Long toolId;

    /** 要求数量 */
    @Excel(name = "要求数量")
    private Long quantity;

    public void setPrototypeSolutionProcessToolId(Long prototypeSolutionProcessToolId)
    {
        this.prototypeSolutionProcessToolId = prototypeSolutionProcessToolId;
    }

    public Long getPrototypeSolutionProcessToolId()
    {
        return prototypeSolutionProcessToolId;
    }
    public void setPrototypeSolutionId(Long prototypeSolutionId)
    {
        this.prototypeSolutionId = prototypeSolutionId;
    }

    public Long getPrototypeSolutionId()
    {
        return prototypeSolutionId;
    }
    public void setPrototypeSolutionProcessId(Long prototypeSolutionProcessId)
    {
        this.prototypeSolutionProcessId = prototypeSolutionProcessId;
    }

    public Long getPrototypeSolutionProcessId()
    {
        return prototypeSolutionProcessId;
    }
    public void setToolId(Long toolId)
    {
        this.toolId = toolId;
    }

    public Long getToolId()
    {
        return toolId;
    }
    public void setQuantity(Long quantity)
    {
        this.quantity = quantity;
    }

    public Long getQuantity()
    {
        return quantity;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("prototypeSolutionProcessToolId", getPrototypeSolutionProcessToolId())
            .append("prototypeSolutionId", getPrototypeSolutionId())
            .append("prototypeSolutionProcessId", getPrototypeSolutionProcessId())
            .append("toolId", getToolId())
            .append("quantity", getQuantity())
            .append("remark", getRemark())
            .toString();
    }
}
